<?php
/**
 * Digital Media functions and definitions
 * @package Digital Media
 */

if ( ! function_exists( 'digital_media_after_theme_support' ) ) :

	function digital_media_after_theme_support() {
		
		add_theme_support( 'automatic-feed-links' );

		add_theme_support('woocommerce');
        add_theme_support('wc-product-gallery-zoom');
        add_theme_support('wc-product-gallery-lightbox');
        add_theme_support('wc-product-gallery-slider');
        add_theme_support('woocommerce', array(
            'gallery_thumbnail_image_width' => 300,
        ));

		add_theme_support(
			'custom-background',
			array(
				'default-color' => 'ffffff',
			)
		);

		$GLOBALS['content_width'] = apply_filters( 'digital_media_content_width', 1140 );
		
		add_theme_support( 'post-thumbnails' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 270,
				'width'       => 90,
				'flex-height' => true,
				'flex-width'  => true,
			)
		);
		
		add_theme_support( 'title-tag' );

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style',
			)
		);

		add_theme_support( 'post-formats', array(
			'video',
			'audio',
			'gallery',
			'quote',
			'image',
			'link',
			'status',
			'aside',
			'chat',
		) );
		
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'wp-block-styles' );

		require get_template_directory() . '/inc/metabox.php';
		require get_template_directory() . '/inc/homepage-setup/homepage-setup-settings.php';

		if (! defined( 'DIGITAL_MEDIA_DOCS_PRO' ) ){
		define('DIGITAL_MEDIA_DOCS_PRO',__('https://layout.omegathemes.com/steps/pro-digital-media/','digital-media'));
		}
		if (! defined( 'DIGITAL_MEDIA_BUY_NOW' ) ){
		define('DIGITAL_MEDIA_BUY_NOW',__('https://www.omegathemes.com/products/digital-marketing-wordpress-theme','digital-media'));
		}
		if (! defined( 'DIGITAL_MEDIA_SUPPORT_FREE' ) ){
		define('DIGITAL_MEDIA_SUPPORT_FREE',__('https://wordpress.org/support/theme/digital-media/','digital-media'));
		}
		if (! defined( 'DIGITAL_MEDIA_REVIEW_FREE' ) ){
		define('DIGITAL_MEDIA_REVIEW_FREE',__('https://wordpress.org/support/theme/digital-media/reviews/#new-post/','digital-media'));
		}
		if (! defined( 'DIGITAL_MEDIA_DEMO_PRO' ) ){
		define('DIGITAL_MEDIA_DEMO_PRO',__('https://layout.omegathemes.com/digital-media/','digital-media'));
		}
		if (! defined( 'DIGITAL_MEDIA_LITE_DOCS_PRO' ) ){
		define('DIGITAL_MEDIA_LITE_DOCS_PRO',__('https://layout.omegathemes.com/steps/free-digital-media/','digital-media'));
		}
		if (! defined( 'DIGITAL_MEDIA_BUNDLE_BUTTON' ) ){
			define('DIGITAL_MEDIA_BUNDLE_BUTTON',__('https://www.omegathemes.com/products/wp-theme-bundle','digital-media'));
		}

	}

endif;

add_action( 'after_setup_theme', 'digital_media_after_theme_support' );

/**
 * Register and Enqueue Styles.
 */
function digital_media_register_styles() {

	wp_enqueue_style( 'dashicons' );

    $theme_version = wp_get_theme()->get( 'Version' );
	$fonts_url = digital_media_fonts_url();
    if( $fonts_url ){
    	require_once get_theme_file_path( 'lib/custom/css/wptt-webfont-loader.php' );
        wp_enqueue_style(
			'digital-media-google-fonts',
			digital_media_wptt_get_webfont_url( $fonts_url ),
			array(),
			$theme_version
		);
    }

    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/lib/swiper/css/swiper-bundle.min.css');
    wp_enqueue_style( 'owl.carousel', get_template_directory_uri() . '/lib/custom/css/owl.carousel.min.css');
	wp_enqueue_style( 'digital-media-style', get_stylesheet_uri(), array(), $theme_version );

	wp_enqueue_style( 'digital-media-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom_css.php' );
	wp_add_inline_style( 'digital-media-style',$digital_media_custom_css );

	$digital_media_css = '';

	if ( get_header_image() ) :

		$digital_media_css .=  '
			.wrapper.header-wrapper.header-box{
				background-image: url('.esc_url(get_header_image()).');
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'digital-media-style', $digital_media_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'digital-media-custom', get_template_directory_uri() . '/lib/custom/js/theme-custom-script.js', array('jquery'), '', 1);
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/lib/swiper/js/swiper-bundle.min.js', array('jquery'), '', 1);
	wp_enqueue_script( 'owl.carousel', get_template_directory_uri() . '/lib/custom/js/owl.carousel.js', array('jquery'), '', 1);

    // Global Query
    if( is_front_page() ){

    	$posts_per_page = absint( get_option('posts_per_page') );
        $c_paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
        $posts_args = array(
            'posts_per_page'        => $posts_per_page,
            'paged'                 => $c_paged,
        );
        $posts_qry = new WP_Query( $posts_args );
        $max = $posts_qry->max_num_pages;

    }else{
        global $wp_query;
        $max = $wp_query->max_num_pages;
        $c_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
    }

    $digital_media_default = digital_media_get_default_theme_options();
    $digital_media_pagination_layout = get_theme_mod( 'digital_media_pagination_layout',$digital_media_default['digital_media_pagination_layout'] );
}

add_action( 'wp_enqueue_scripts', 'digital_media_register_styles',200 );

function digital_media_admin_enqueue_scripts_callback() {
    if ( ! did_action( 'wp_enqueue_media' ) ) {
    wp_enqueue_media();
    }
    wp_enqueue_script('digital-media-uploaderjs', get_stylesheet_directory_uri() . '/lib/custom/js/uploader.js', array(), "1.0", true);
}
add_action( 'admin_enqueue_scripts', 'digital_media_admin_enqueue_scripts_callback' );

/**
 * Register navigation menus uses wp_nav_menu in five places.
 */
function digital_media_menus() {

	$digital_media_locations = array(
		'digital-media-primary-menu'  => esc_html__( 'Primary Menu', 'digital-media' ),
	);

	register_nav_menus( $digital_media_locations );
}

add_action( 'init', 'digital_media_menus' );

add_filter('loop_shop_columns', 'digital_media_loop_columns');
if (!function_exists('digital_media_loop_columns')) {
	function digital_media_loop_columns() {
		$digital_media_columns = get_theme_mod( 'digital_media_per_columns', 3 );
		return $digital_media_columns;
	}
}

add_filter( 'loop_shop_per_page', 'digital_media_per_page', 20 );
function digital_media_per_page( $digital_media_cols ) {
  	$digital_media_cols = get_theme_mod( 'digital_media_product_per_page', 9 );
	return $digital_media_cols;
}

add_filter( 'woocommerce_output_related_products_args', 'digital_media_products_args' );

function digital_media_products_args( $digital_media_args ) {

    $digital_media_args['posts_per_page'] = get_theme_mod( 'digital_media_custom_related_products_number', 6 );

    $digital_media_args['columns'] = get_theme_mod( 'digital_media_custom_related_products_number_per_row', 3 );

    return $digital_media_args;
}

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/classes/class-svg-icons.php';
require get_template_directory() . '/classes/class-walker-menu.php';
require get_template_directory() . '/inc/customizer/customizer.php';
require get_template_directory() . '/inc/custom-functions.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/classes/body-classes.php';
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
require get_template_directory() . '/lib/custom/css/dynamic-style.php';


function digital_media_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'display_header_text' );
    $wp_customize->remove_control( 'display_header_text' );

}

add_action( 'customize_register', 'digital_media_remove_customize_register', 11 );


function digital_media_radio_sanitize(  $digital_media_input, $digital_media_setting  ) {
	$digital_media_input = sanitize_key( $digital_media_input );
	$digital_media_choices = $digital_media_setting->manager->get_control( $digital_media_setting->id )->choices;
	return ( array_key_exists( $digital_media_input, $digital_media_choices ) ? $digital_media_input : $digital_media_setting->default );
}
require get_template_directory() . '/inc/general.php';

function digital_media_sticky_sidebar_enabled() {
	$digital_media_sticky_sidebar = get_theme_mod('digital_media_sticky_sidebar', true);
	if($digital_media_sticky_sidebar == false) {
		echo '<style>.widget-area-wrapper {position: relative !important;}</style>';
	}
}

add_action('wp_head', 'digital_media_sticky_sidebar_enabled');

// NOTICE FUNCTION

function digital_media_admin_notice() { 
    global $pagenow;
    $theme_args = wp_get_theme();
    $meta = get_option( 'digital_media_admin_notice' );
    $name = $theme_args->get( 'Name' );
    $current_screen = get_current_screen();

    if ( ! $meta ) {
        if ( is_network_admin() ) {
            return;
        }

        if ( ! current_user_can( 'manage_options' ) ) {
            return;
        }

        if ( $current_screen->base != 'appearance_page_digitalmedia-wizard' ) {
            ?>
            <div class="notice notice-success notice-content">
                <h2><?php esc_html_e('Welcome! Thank you for choosing Digital Media. Let’s Set Up Your Website!', 'digital-media') ?> </h2>
                <p><?php esc_html_e('Before you dive into customization, let’s go through a quick setup process to ensure everything runs smoothly. Click below to start setting up your website in minutes!', 'digital-media') ?> </p>
                <div class="info-link">
                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=digitalmedia-wizard' ) ); ?>"><?php esc_html_e('Get Started with Digital Media', 'digital-media'); ?></a>
					<a target="_blank" href="<?php echo esc_url( DIGITAL_MEDIA_BUNDLE_BUTTON ); ?>" class="notice-bundle"><?php esc_html_e('Get All WP Themes', 'board-games'); ?></a>
                </div>
                <p class="dismiss-link"><strong><a href="?digital_media_admin_notice=1"><?php esc_html_e( 'Dismiss', 'digital-media' ); ?></a></strong></p>
            </div>
            <?php
        }
    }
}
add_action( 'admin_notices', 'digital_media_admin_notice' );

if ( ! function_exists( 'digital_media_update_admin_notice' ) ) :
/**
 * Updating admin notice on dismiss
 */
function digital_media_update_admin_notice() {
    if ( isset( $_GET['digital_media_admin_notice'] ) && $_GET['digital_media_admin_notice'] == '1' ) {
        update_option( 'digital_media_admin_notice', true );
    }
}
endif;
add_action( 'admin_init', 'digital_media_update_admin_notice' );

// After Switch theme function
add_action( 'after_switch_theme', 'digital_media_getstart_setup_options' );
function digital_media_getstart_setup_options() {
    update_option( 'digital_media_admin_notice', false );
}